/* $Id: NotFoundException.java 125 2011-03-09 09:49:51Z ohura $ */
/*
 * 作成日: 2004/12/29
 */
package sml_editor.controller;

/**
 * @author kawamura
 */
@SuppressWarnings("serial")
public class NotFoundException extends Exception {
	public static final int MODEL    = 0;
	public static final int USECASE  = 1;
	public static final int ACTIVITY = 2;
	public static final int TESTCASE = 3;
	
	int kind;
	String name;
	
	public NotFoundException(int kind, String name) {
		super();
		this.kind = kind;
		this.name = name;
	}

	/**
	 * @return kind を戻します。
	 */
	public int getKind() {
		return kind;
	}
	/**
	 * @return name を戻します。
	 */
	public String getName() {
		return name;
	}
}
